Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.core
Class AddressType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.core.AddressType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:31:34+02:00",
               comments="JAXB RI v2.2.11")
    public class AddressType

extends Object
implements Serializable

Java class for AddressType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AddressType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="PlainAddress" type="{urn:be:fgov:ehealth:consultRN:1_0:core}PlainAddressType"/>
             <element name="StandardAddress" type="{urn:be:fgov:ehealth:consultRN:1_0:core}StandardAddressType"/>
           </choice>
           <attribute name="ModificationDate" type="{urn:be:fgov:ehealth:consultRN:1_0:core}IncompleteDateType" />
           <attribute name="Origin" type="{urn:be:fgov:ehealth:consultRN:1_0:core}OriginType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AddressType()`

Method Summary
`String` | `getModificationDate()` Gets the value of the modificationDate property.
`OriginType` | `getOrigin()` Gets the value of the origin property.
`PlainAddressType` | `getPlainAddress()` Gets the value of the plainAddress property.
`StandardAddressType` | `getStandardAddress()` Gets the value of the standardAddress property.
`void` | `setModificationDate(String value)` Sets the value of the modificationDate property.
`void` | `setOrigin(OriginType value)` Sets the value of the origin property.
`void` | `setPlainAddress(PlainAddressType value)` Sets the value of the plainAddress property.
`void` | `setStandardAddress(StandardAddressType value)` Sets the value of the standardAddress property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressType

    public AddressType()

Method Detail

### getStandardAddress

    public StandardAddressType getStandardAddress()

  Gets the value of the standardAddress property.

  Returns:
    possible object is `StandardAddressType`

### setStandardAddress

    public void setStandardAddress(StandardAddressType value)

  Sets the value of the standardAddress property.

  Parameters:
    `value` - allowed object is `StandardAddressType`

### getPlainAddress

    public PlainAddressType getPlainAddress()

  Gets the value of the plainAddress property.

  Returns:
    possible object is `PlainAddressType`

### setPlainAddress

    public void setPlainAddress(PlainAddressType value)

  Sets the value of the plainAddress property.

  Parameters:
    `value` - allowed object is `PlainAddressType`

### getModificationDate

    public String getModificationDate()

  Gets the value of the modificationDate property.

  Returns:
    possible object is `String`

### setModificationDate

    public void setModificationDate(String value)

  Sets the value of the modificationDate property.

  Parameters:
    `value` - allowed object is `String`

### getOrigin

    public OriginType getOrigin()

  Gets the value of the origin property.

  Returns:
    possible object is `OriginType`

### setOrigin

    public void setOrigin(OriginType value)

  Sets the value of the origin property.

  Parameters:
    `value` - allowed object is `OriginType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.